Bug 23949 - koha-common.init missing actions for koha-z3950-responder
Summary: koha-common.init missing actions for koha-z3950-responder
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (command-line installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 13937
Blocks:
  Show dependency treegraph
 
Reported: 2019-11-01 18:48 UTC by Tomás Cohen Arazi
Modified: 2019-11-08 13:18 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23949: Add missing actions for koha-z3950-responder in koha-common.init (1.85 KB, patch)
2019-11-01 18:55 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 23949: Add missing actions for koha-z3950-responder in koha-common.init (2.30 KB, patch)
2019-11-04 17:37 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 23949: Update documentation (795 bytes, patch)
2019-11-05 17:34 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23949: Add z3950 directory to koha-common.install (931 bytes, patch)
2019-11-06 19:19 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 23949: Add missing actions for koha-z3950-responder in koha-common.init (2.38 KB, patch)
2019-11-07 09:27 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23949: Update documentation (868 bytes, patch)
2019-11-07 09:27 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23949: Add z3950 directory to koha-common.install (1005 bytes, patch)
2019-11-07 09:27 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23949: Add missing actions for koha-z3950-responder in koha-common.init (2.47 KB, patch)
2019-11-08 07:47 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 23949: Update documentation (966 bytes, patch)
2019-11-08 07:47 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 23949: Add z3950 directory to koha-common.install (1.08 KB, patch)
2019-11-08 07:47 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2019-11-01 18:48:31 UTC
For consistency, it should be calling the script for --stop and --restart actions as well.
Comment 1 Tomás Cohen Arazi 2019-11-01 18:55:38 UTC
Created attachment 94957 [details] [review]
Bug 23949: Add missing actions for koha-z3950-responder in koha-common.init

This patch makes the init script deal with koha-z3950-responder in --stop
and --restart actions. Currently, only --start calls the script.

To test:
- Enable the server:
  $ koha-z3950-responder --enable kohadev
- Stop koha-common
  $ service koha-common stop
=> SUCCESS: No koha-z3950-responder running
- Start koha-common
  $ service koha-common start
=> SUCCESS: It is loaded (even if failing because of config issues)
- Stop koha-common
  $ service koha-common stop
=> FAIL: It is still running (no --stop issued)
- Repeat for restart
- Apply this patch
- Redo
=> SUCCESS: Things behave as expected!
- Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Tomás Cohen Arazi 2019-11-04 17:37:10 UTC
Created attachment 95028 [details] [review]
Bug 23949: Add missing actions for koha-z3950-responder in koha-common.init

This patch makes the init script deal with koha-z3950-responder in --stop
and --restart actions. Currently, only --start calls the script.

To test:
- Enable the server:
  $ koha-z3950-responder --enable kohadev
- Stop koha-common
  $ service koha-common stop
=> SUCCESS: No koha-z3950-responder running
- Start koha-common
  $ service koha-common start
=> SUCCESS: It is loaded (even if failing because of config issues)
- Stop koha-common
  $ service koha-common stop
=> FAIL: It is still running (no --stop issued)
- Repeat for restart
- Apply this patch
- Redo
=> SUCCESS: Things behave as expected!
- Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 Jonathan Druart 2019-11-05 17:34:48 UTC
Created attachment 95068 [details] [review]
Bug 23949: Update documentation
Comment 4 Jonathan Druart 2019-11-05 17:35:17 UTC
vagrant@kohadevbox:misc4dev(master)$ sudo koha-z3950-responder --enable kohadev
cp: cannot stat '/etc/koha/z3950/*': No such file or directory


Where/How is this directory created?
Comment 5 Tomás Cohen Arazi 2019-11-05 18:07:20 UTC
(In reply to Jonathan Druart from comment #4)
> vagrant@kohadevbox:misc4dev(master)$ sudo koha-z3950-responder --enable
> kohadev
> cp: cannot stat '/etc/koha/z3950/*': No such file or directory
> 
> 
> Where/How is this directory created?

I think it is missing in cp_debian_files.pl or smth
Comment 6 Jonathan Druart 2019-11-06 08:38:46 UTC
(In reply to Tomás Cohen Arazi from comment #5)
> (In reply to Jonathan Druart from comment #4)
> > vagrant@kohadevbox:misc4dev(master)$ sudo koha-z3950-responder --enable
> > kohadev
> > cp: cannot stat '/etc/koha/z3950/*': No such file or directory
> > 
> > 
> > Where/How is this directory created?
> 
> I think it is missing in cp_debian_files.pl or smth

What about the debian package?
Comment 7 Tomás Cohen Arazi 2019-11-06 19:19:18 UTC
Created attachment 95125 [details] [review]
Bug 23949: Add z3950 directory to koha-common.install

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 8 Jonathan Druart 2019-11-07 09:27:39 UTC
Created attachment 95133 [details] [review]
Bug 23949: Add missing actions for koha-z3950-responder in koha-common.init

This patch makes the init script deal with koha-z3950-responder in --stop
and --restart actions. Currently, only --start calls the script.

To test:
- Enable the server:
  $ koha-z3950-responder --enable kohadev
- Stop koha-common
  $ service koha-common stop
=> SUCCESS: No koha-z3950-responder running
- Start koha-common
  $ service koha-common start
=> SUCCESS: It is loaded (even if failing because of config issues)
- Stop koha-common
  $ service koha-common stop
=> FAIL: It is still running (no --stop issued)
- Repeat for restart
- Apply this patch
- Redo
=> SUCCESS: Things behave as expected!
- Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Jonathan Druart 2019-11-07 09:27:43 UTC
Created attachment 95134 [details] [review]
Bug 23949: Update documentation

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Jonathan Druart 2019-11-07 09:27:47 UTC
Created attachment 95135 [details] [review]
Bug 23949: Add z3950 directory to koha-common.install

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Marcel de Rooy 2019-11-08 07:47:50 UTC
Created attachment 95180 [details] [review]
Bug 23949: Add missing actions for koha-z3950-responder in koha-common.init

This patch makes the init script deal with koha-z3950-responder in --stop
and --restart actions. Currently, only --start calls the script.

To test:
- Enable the server:
  $ koha-z3950-responder --enable kohadev
- Stop koha-common
  $ service koha-common stop
=> SUCCESS: No koha-z3950-responder running
- Start koha-common
  $ service koha-common start
=> SUCCESS: It is loaded (even if failing because of config issues)
- Stop koha-common
  $ service koha-common stop
=> FAIL: It is still running (no --stop issued)
- Repeat for restart
- Apply this patch
- Redo
=> SUCCESS: Things behave as expected!
- Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 12 Marcel de Rooy 2019-11-08 07:47:54 UTC
Created attachment 95181 [details] [review]
Bug 23949: Update documentation

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 13 Marcel de Rooy 2019-11-08 07:47:58 UTC
Created attachment 95182 [details] [review]
Bug 23949: Add z3950 directory to koha-common.install

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 14 Martin Renvoize 2019-11-08 12:57:06 UTC
Nice work!

Pushed to master for 19.11.00